Bug 11257 - Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices
Summary: Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: James O'Keeffe
QA Contact: Marcel de Rooy
URL:
Keywords: Academy, Manual
: 27237 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-11-15 14:58 UTC by Peggy Thrasher
Modified: 2021-02-11 22:02 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 11257: PREDUEDST should have more useful default text (1.91 KB, patch)
2021-01-19 23:00 UTC, James O'Keeffe
Details | Diff | Splinter Review
Bug 11257: PREDUEDST should have more useful default text (1.96 KB, patch)
2021-01-21 18:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11257: (followup) Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices (1.57 KB, patch)
2021-01-21 22:09 UTC, James O'Keeffe
Details | Diff | Splinter Review
Bug 11257: PREDUEDST should have more useful default text (1.96 KB, patch)
2021-01-21 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11257: (followup) Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices (1.63 KB, patch)
2021-01-21 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11257: (QA follow-up) Add thank you (987 bytes, patch)
2021-01-21 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11257: PREDUEDST should have more useful default text (2.06 KB, patch)
2021-01-22 10:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 11257: (followup) Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices (1.72 KB, patch)
2021-01-22 10:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 11257: (QA follow-up) Add thank you (1.06 KB, patch)
2021-01-22 10:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 11257: PREDUEDST should have more useful default text (2.02 KB, patch)
2021-01-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11257: (followup) Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices (1.68 KB, patch)
2021-01-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11257: (QA follow-up) Add thank you (1.02 KB, patch)
2021-01-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Peggy Thrasher 2013-11-15 14:58:26 UTC
Digest notices are great for due and predue notices if they include the list of titles the patron has out.  This is controlled by an undocumented feature <<items.content>>.  Changing the example notices to include use of <<items.content>> and adding a short explanation to the documentation would really help.
Comment 1 Katrin Fischer 2013-11-24 21:10:42 UTC
Hi Peggy,
I think we could also change the sample notices to include the <<items.content>> line - maybe that would make people notice.
Comment 2 Barton Chittenden 2017-03-31 18:57:58 UTC
The most complete documentation that we have for notices and slips markup is at 

https://wiki.koha-community.org/wiki/Customising_Notices_and_Slips#Notice_Specific_Markup

The page is current (although slightly incommplete) as of 16.11.

There is an out-dated version of that page under 'Field Guide for Notices & Slips'

https://koha-community.org/manual/16.11/html/apd.html#noticesfieldguide
Comment 3 Katrin Fischer 2020-01-05 11:30:12 UTC
Current sample notice for (PRE)DUEDGST just reads:

You have <<count>> items due

Certainly room for improvement there!
Comment 4 Aleisha Amohia 2020-12-15 03:05:54 UTC
Hi all, is this still relevant? If yes can you please clarify what the desired solution is here?
Comment 5 David Cook 2020-12-15 05:18:30 UTC
I opened Bug 27237 today to include <<items.content>> by default for PREDUEDST. I guess it's actually a duplicate of this one.

I don't plan to actually work on Bug 27237, so I'll mark it as a duplicate, but my comment there might be useful here.
Comment 6 David Cook 2020-12-15 05:18:40 UTC
*** Bug 27237 has been marked as a duplicate of this bug. ***
Comment 7 Katrin Fischer 2020-12-15 18:52:24 UTC
I think the idea was to change the sample notice text to make it read more similar to the existing other notices and add some more information about the items which can be done using the items.content placeholder.

Not sure if we should/could just switch them over to TT syntax instead?
Comment 8 David Cook 2020-12-15 22:19:05 UTC
(In reply to Katrin Fischer from comment #7)
> I think the idea was to change the sample notice text to make it read more
> similar to the existing other notices and add some more information about
> the items which can be done using the items.content placeholder.
> 
> Not sure if we should/could just switch them over to TT syntax instead?

Yeah could probably do that too. 

It's not something I'm planning on working on but I raised that (duplicate) bug as I went to update an existing install the other day and was surprised at how the PREDUEDGST sample was not usable.
Comment 9 James O'Keeffe 2021-01-19 23:00:47 UTC
Created attachment 115374 [details] [review]
Bug 11257: PREDUEDST should have more useful default text

This patch changes the default text of PEDUEDST to the following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) will be due soon:
    <<items.content>>

Note: I dont beleive ive done everything requesting in the bug, ie there
was a request to add  <<items.content>> to the documentation of
sample_notices.yml, but I couldn't find documentation for it. If there's
things I missed, please tell me so I can make the appropraite changes,
or feel free to make the changes yourself.

Test plan:
1. Select "edit" on PREDUEDST in the notices and slips page (Home -> tools
        -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.

https://bugs.koha-community.org/show_bug.cgi?id=27237
Comment 10 Katrin Fischer 2021-01-21 18:06:25 UTC
Hi James, I really like the new version much better. I am going to sign off. Could you maybe do a follow up for the DUEDGST? Both are almost the same.
Comment 11 Katrin Fischer 2021-01-21 18:07:00 UTC
Created attachment 115585 [details] [review]
Bug 11257: PREDUEDST should have more useful default text

This patch changes the default text of PEDUEDST to the following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) will be due soon:
    <<items.content>>

Note: I dont beleive ive done everything requesting in the bug, ie there
was a request to add  <<items.content>> to the documentation of
sample_notices.yml, but I couldn't find documentation for it. If there's
things I missed, please tell me so I can make the appropraite changes,
or feel free to make the changes yourself.

Test plan:
1. Select "edit" on PREDUEDST in the notices and slips page (Home -> tools
        -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.

https://bugs.koha-community.org/show_bug.cgi?id=27237

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 James O'Keeffe 2021-01-21 21:54:29 UTC
(In reply to Katrin Fischer from comment #10)
> Hi James, I really like the new version much better. I am going to sign off.
> Could you maybe do a follow up for the DUEDGST? Both are almost the same.

Sure! I'll make those changes. I've also noticed a lot of similar example notices use "<<biblio.title>>, <<biblio.author>>, (<<items.barcode>>)" rather than "<<items.content>>". Do you think it'd be worth changing all instances of the longer version to <<items.content>> for consistency and ease of reading, or would it be a waste of time?
Comment 13 James O'Keeffe 2021-01-21 22:09:44 UTC
Created attachment 115625 [details] [review]
Bug 11257: (followup) Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices

This patch changes the default text for the DUEDGST sample notice to the
following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) are due:
    <<items.content>>
(it does not include an atomic update)

Test plan:
1. Select "edit" on DUEDGST in the notices and slips page (Home ->
        tools -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.
Comment 14 Katrin Fischer 2021-01-21 22:28:52 UTC
(In reply to James O'Keeffe from comment #12)
> (In reply to Katrin Fischer from comment #10)
> > Hi James, I really like the new version much better. I am going to sign off.
> > Could you maybe do a follow up for the DUEDGST? Both are almost the same.
> 
> Sure! I'll make those changes. I've also noticed a lot of similar example
> notices use "<<biblio.title>>, <<biblio.author>>, (<<items.barcode>>)"
> rather than "<<items.content>>". Do you think it'd be worth changing all
> instances of the longer version to <<items.content>> for consistency and
> ease of reading, or would it be a waste of time?

Thx James! <<items.content>> only works in some specific notices, so we need to keep the others as they are :)
Comment 15 Katrin Fischer 2021-01-21 22:40:10 UTC
Created attachment 115628 [details] [review]
Bug 11257: PREDUEDST should have more useful default text

This patch changes the default text of PEDUEDST to the following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) will be due soon:
    <<items.content>>

Note: I dont beleive ive done everything requesting in the bug, ie there
was a request to add  <<items.content>> to the documentation of
sample_notices.yml, but I couldn't find documentation for it. If there's
things I missed, please tell me so I can make the appropraite changes,
or feel free to make the changes yourself.

Test plan:
1. Select "edit" on PREDUEDST in the notices and slips page (Home -> tools
        -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.

https://bugs.koha-community.org/show_bug.cgi?id=27237

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2021-01-21 22:40:14 UTC
Created attachment 115629 [details] [review]
Bug 11257: (followup) Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices

This patch changes the default text for the DUEDGST sample notice to the
following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) are due:
    <<items.content>>
(it does not include an atomic update)

Test plan:
1. Select "edit" on DUEDGST in the notices and slips page (Home ->
        tools -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Katrin Fischer 2021-01-21 22:40:18 UTC
Created attachment 115630 [details] [review]
Bug 11257: (QA follow-up) Add thank you

Even if we are grumpy because they still have not returned the items,
we should be nice :)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Marcel de Rooy 2021-01-22 10:51:23 UTC
Created attachment 115672 [details] [review]
Bug 11257: PREDUEDST should have more useful default text

This patch changes the default text of PEDUEDST to the following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) will be due soon:
    <<items.content>>

Note: I dont beleive ive done everything requesting in the bug, ie there
was a request to add  <<items.content>> to the documentation of
sample_notices.yml, but I couldn't find documentation for it. If there's
things I missed, please tell me so I can make the appropraite changes,
or feel free to make the changes yourself.

Test plan:
1. Select "edit" on PREDUEDST in the notices and slips page (Home -> tools
        -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.

https://bugs.koha-community.org/show_bug.cgi?id=27237

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 19 Marcel de Rooy 2021-01-22 10:51:26 UTC
Created attachment 115673 [details] [review]
Bug 11257: (followup) Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices

This patch changes the default text for the DUEDGST sample notice to the
following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) are due:
    <<items.content>>
(it does not include an atomic update)

Test plan:
1. Select "edit" on DUEDGST in the notices and slips page (Home ->
        tools -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 20 Marcel de Rooy 2021-01-22 10:51:30 UTC
Created attachment 115674 [details] [review]
Bug 11257: (QA follow-up) Add thank you

Even if we are grumpy because they still have not returned the items,
we should be nice :)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 21 Jonathan Druart 2021-01-27 10:51:15 UTC
Created attachment 115868 [details] [review]
Bug 11257: PREDUEDST should have more useful default text

This patch changes the default text of PEDUEDST to the following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) will be due soon:
    <<items.content>>

Note: I dont beleive ive done everything requesting in the bug, ie there
was a request to add  <<items.content>> to the documentation of
sample_notices.yml, but I couldn't find documentation for it. If there's
things I missed, please tell me so I can make the appropraite changes,
or feel free to make the changes yourself.

Test plan:
1. Select "edit" on PREDUEDST in the notices and slips page (Home -> tools
        -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

JD amended patch: Remove double spaces in PREDUEDST
Comment 22 Jonathan Druart 2021-01-27 10:51:19 UTC
Created attachment 115869 [details] [review]
Bug 11257: (followup) Document <<items.content>> for DUEDGST and PREDUEDGST and update sample notices

This patch changes the default text for the DUEDGST sample notice to the
following:
    Dear <<borrowers.firstname>> <<borrowers.surname>>,
    The following item(s) are due:
    <<items.content>>
(it does not include an atomic update)

Test plan:
1. Select "edit" on DUEDGST in the notices and slips page (Home ->
        tools -> Notices and slips)
2. Open "email", and note the default text.
3. Apply the patch, and peform a fresh install of Koha.
4. Navigate to the same page. The default text should have changed.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 23 Jonathan Druart 2021-01-27 10:51:22 UTC
Created attachment 115870 [details] [review]
Bug 11257: (QA follow-up) Add thank you

Even if we are grumpy because they still have not returned the items,
we should be nice :)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 24 Jonathan Druart 2021-01-27 13:37:07 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 25 Fridolin Somers 2021-01-29 15:04:40 UTC
Small enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.03
Comment 26 Andrew Fuerste-Henry 2021-02-04 21:59:10 UTC
Enhancement, not backporting to 20.05. Please request if needed.